Customer success API
28 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.
| Method | Path | Description |
|---|---|---|
GET |
/api/customers/ |
List My Accounts Query: industry, health, search, sort_by, sort_dir, limit. |
GET |
/api/customers/cockpit |
Cs Cockpit Query: scope, period, ref. |
GET |
/api/customers/health-summary |
Health Summary |
GET |
/api/customers/industries |
Get Industries |
GET |
/api/customers/kpis |
Get Customer Kpis |
GET |
/api/customers/{account_id} |
Get Customer 360 Query: activity_type. |
GET |
/api/customers/{account_id}/ctas |
List Ctas Query: status. |
POST |
/api/customers/{account_id}/ctas |
Create Cta Accepts a JSON body. |
PATCH |
/api/customers/{account_id}/ctas/{cta_id} |
Update Cta Accepts a JSON body. |
DELETE |
/api/customers/{account_id}/ctas/{cta_id} |
Delete Cta |
GET |
/api/customers/{account_id}/health-history |
Health History Query: days. |
POST |
/api/customers/{account_id}/log-activity |
Log Activity Accepts a JSON body. |
GET |
/api/customers/{account_id}/notes |
List Notes |
POST |
/api/customers/{account_id}/notes |
Create Note Accepts a JSON body. |
PATCH |
/api/customers/{account_id}/notes/{note_id} |
Update Note Accepts a JSON body. |
DELETE |
/api/customers/{account_id}/notes/{note_id} |
Delete Note |
GET |
/api/customers/{account_id}/plans |
List Plans |
POST |
/api/customers/{account_id}/plans |
Create Plan Accepts a JSON body. |
GET |
/api/customers/{account_id}/plans/{plan_id} |
Get Plan |
PATCH |
/api/customers/{account_id}/plans/{plan_id} |
Update Plan Accepts a JSON body. |
DELETE |
/api/customers/{account_id}/plans/{plan_id} |
Delete Plan |
POST |
/api/customers/{account_id}/plans/{plan_id}/objectives |
Create Objective Accepts a JSON body. |
PATCH |
/api/customers/{account_id}/plans/{plan_id}/objectives/{obj_id} |
Update Objective Accepts a JSON body. |
DELETE |
/api/customers/{account_id}/plans/{plan_id}/objectives/{obj_id} |
Delete Objective |
POST |
/api/customers/{account_id}/plans/{plan_id}/objectives/{obj_id}/tasks |
Create Task Accepts a JSON body. |
PATCH |
/api/customers/{account_id}/plans/{plan_id}/tasks/{task_id} |
Update Task Accepts a JSON body. |
DELETE |
/api/customers/{account_id}/plans/{plan_id}/tasks/{task_id} |
Delete Task |
POST |
/api/customers/{account_id}/research |
Run Research |
Try it
The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.